Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.propertybroker.property
Class PropertyFilterType

    java.lang.Object
      com.ibm.portal.propertybroker.property.PropertyFilterType

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyFilterType

extends java.lang.Object
implements java.io.Serializable

Typesafe enum pattern that encapsulates the property filter type. Property filter type values are used when passing a context consisting of `PropertyValue`s generated elsewhere to a target. The filter value indicates to the broker if and how the context needs to be filtered before passing to the target. See `PropertyBrokerContextPassingService` for the contexts in which the property filter type is used within WebSphere Portal.

Since:
  5.1.0.1
See Also:
  `com.ibm.wps.propertybroker.standard.service.PropertyBrokerContextPassingService`, `PropertyBrokerContextPassingService`, Serialized Form

Field Summary
`static PropertyFilterType` | `FILTER_NONE` FILTER_NONE indicates that no filtering should be applied, i.e, the context should be passed as is.
`static PropertyFilterType` | `FILTER_ON_NAME_AND_TYPE` FILTER_ON_NAME_AND_TYPE indicates that only those `PropertyValue` elements from the context array which match a registered input `Property`'s type and name should be passed to the target.``
`static PropertyFilterType` | `FILTER_ON_TYPE` FILTER_ON_TYPE indicates that only those `PropertyValue` elements from the context array which match a registered input `Property`'s type should be passed to the target.``

Constructor Summary
`protected` | `PropertyFilterType(java.lang.String filterType)` Constructor that can only be used by this class or subclasses

Method Summary
`boolean` | `equals(java.lang.Object that)` Marked final to ensure that subclasses do not change this method
`int` | `hashCode()` Marked final to ensure that subclasses do not change this method
`java.lang.String` | `toString()` Override default

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### FILTER_NONE

    public static final PropertyFilterType FILTER_NONE

  FILTER_NONE indicates that no filtering should be applied, i.e, the context should be passed as is.

### FILTER_ON_TYPE

    public static final PropertyFilterType FILTER_ON_TYPE

  FILTER_ON_TYPE indicates that only those `PropertyValue` elements from the context array which match a registered input `Property`'s type should be passed to the target.

  ``

### FILTER_ON_NAME_AND_TYPE

    public static final PropertyFilterType FILTER_ON_NAME_AND_TYPE

  FILTER_ON_NAME_AND_TYPE indicates that only those `PropertyValue` elements from the context array which match a registered input `Property`'s type and name should be passed to the target.

  ``

Constructor Detail

### PropertyFilterType

    protected PropertyFilterType(java.lang.String filterType)

  Constructor that can only be used by this class or subclasses

Method Detail

### toString

    public java.lang.String toString()

  Override default

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object that)

  Marked final to ensure that subclasses do not change this method

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public final int hashCode()

  Marked final to ensure that subclasses do not change this method

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD